Debian Bug report logs - #627150
live-build: syslinux support broken

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>

Date: Wed, 18 May 2011 07:03:05 UTC

Severity: important

Fixed in version syslinux-themes-debian/9-1

Done: Daniel Baumann <daniel.baumann@progress-linux.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Wed, 18 May 2011 07:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz Bizon <grzegorz.bizon@ntsn.pl>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 18 May 2011 07:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>
To: submit@bugs.debian.org
Subject: live-build: syslinux support broken
Date: Wed, 18 May 2011 09:00:34 +0200
Package: live-build
Version: 3.0~a16-1
Severity: important

Hello,

It appears that something is wrong with live-build and syslinux.

I'm trying to build wheezy live on wheezy, and if I try building with
syslinux as bootloader I get following error on boot:

no DEFAULT or UI configuration directive found

I was trying to build iso (isolinux directory created) and usb-hdd
(syslinux directory created) - same problem.

iso with grub bootloader is currently only working solution for me.


Regards,
 Grzegorz Bizon

-- 
 ntsn.pl software development
 http://ntsn.pl




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Wed, 18 May 2011 10:06:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 18 May 2011 10:06:35 GMT) Full text and rfc822 format available.

Message #10 received at 627150@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>, 627150@bugs.debian.org
Subject: Re: Bug#627150: live-build: syslinux support broken
Date: Wed, 18 May 2011 12:05:03 +0200
On 18 May 2011 09:00, Grzegorz Bizon <grzegorz.bizon@ntsn.pl> wrote:
> Package: live-build
> Version: 3.0~a16-1
> Severity: important
>
> Hello,
>
> It appears that something is wrong with live-build and syslinux.
>
> I'm trying to build wheezy live on wheezy, and if I try building with
> syslinux as bootloader I get following error on boot:
>
> no DEFAULT or UI configuration directive found
>
> I was trying to build iso (isolinux directory created) and usb-hdd
> (syslinux directory created) - same problem.
>
> iso with grub bootloader is currently only working solution for me.
>
>

How did you manage building an image at all?

For me building images always fails because some theme files are not present.

Thanks

Michal




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Wed, 18 May 2011 10:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz Bizon <grzegorz.bizon@ntsn.pl>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 18 May 2011 10:39:18 GMT) Full text and rfc822 format available.

Message #15 received at 627150@bugs.debian.org (full text, mbox):

From: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>
To: Michal Suchanek <hramrach@centrum.cz>
Cc: 627150@bugs.debian.org, 622838@bugs.debian.org
Subject: Re: Bug#627150: live-build: syslinux support broken
Date: Wed, 18 May 2011 12:30:50 +0200
Day 2011-05-18, at. 12:05:03 
Michal Suchanek <hramrach@centrum.cz> wrote:

> How did you manage building an image at all?
> 
> For me building images always fails because some theme files are not
> present.

Hi.

If you are referring to #622838 - I didn't encounter this problem.

Probably because I'm building livecd on wheezy - package
syslinux-themes-debian-squeeze version is 8-1 and
directory /usr/share/syslinux/themes/debian-squeeze/syslinux-live is
present. 

So it appears that #622838 is fixed in wheezy (CCing
622838@bugs.debian.org).

Regards,
 Grzegorz Bizon

-- 
 ntsn.pl software development
 http://ntsn.pl




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Fri, 20 May 2011 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz Bizon <grzegorz.bizon@ntsn.pl>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 20 May 2011 13:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 627150@bugs.debian.org (full text, mbox):

From: Grzegorz Bizon <grzegorz.bizon@ntsn.pl>
To: 627150@bugs.debian.org
Subject: live-build: syslinux support broken
Date: Fri, 20 May 2011 15:16:27 +0200
Hi

This problem occurs, probably, because files sysconfig.cfg and live.cfg
are missing.

Regards,
 Grzegorz

-- 
 ntsn.pl software development
 http://ntsn.pl




Reply sent to Daniel Baumann <daniel.baumann@progress-linux.org>:
You have taken responsibility. (Mon, 23 May 2011 19:12:14 GMT) Full text and rfc822 format available.

Notification sent to Grzegorz Bizon <grzegorz.bizon@ntsn.pl>:
Bug acknowledged by developer. (Mon, 23 May 2011 19:12:14 GMT) Full text and rfc822 format available.

Message #25 received at 627150-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-linux.org>
To: 627150-close@bugs.debian.org
Subject: Bug#627150: fixed in syslinux-themes-debian 9-1
Date: Mon, 23 May 2011 19:08:37 +0000
Source: syslinux-themes-debian
Source-Version: 9-1

We believe that the bug you reported is fixed in the latest version of
syslinux-themes-debian, which is due to be installed in the Debian FTP archive:

syslinux-themes-debian-lenny_9-1_all.deb
  to main/s/syslinux-themes-debian/syslinux-themes-debian-lenny_9-1_all.deb
syslinux-themes-debian-squeeze_9-1_all.deb
  to main/s/syslinux-themes-debian/syslinux-themes-debian-squeeze_9-1_all.deb
syslinux-themes-debian_9-1.debian.tar.gz
  to main/s/syslinux-themes-debian/syslinux-themes-debian_9-1.debian.tar.gz
syslinux-themes-debian_9-1.dsc
  to main/s/syslinux-themes-debian/syslinux-themes-debian_9-1.dsc
syslinux-themes-debian_9-1_all.deb
  to main/s/syslinux-themes-debian/syslinux-themes-debian_9-1_all.deb
syslinux-themes-debian_9.orig.tar.gz
  to main/s/syslinux-themes-debian/syslinux-themes-debian_9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627150@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-linux.org> (supplier of updated syslinux-themes-debian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 May 2011 08:25:38 +0200
Source: syslinux-themes-debian
Binary: syslinux-themes-debian syslinux-themes-debian-lenny syslinux-themes-debian-squeeze
Architecture: source all
Version: 9-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-linux.org>
Description: 
 syslinux-themes-debian - collection of boot loaders (theme metapackage)
 syslinux-themes-debian-lenny - collection of boot loaders (debian-lenny theme)
 syslinux-themes-debian-squeeze - collection of boot loaders (debian-squeeze theme)
Closes: 627150
Changes: 
 syslinux-themes-debian (9-1) unstable; urgency=low
 .
   * Updating isolinux configs.
   * Updating standards version to 3.9.2.
   * Updating syslinux specific bootloader themes.
   * Completing syslinux and pxelinux specific bootloader files (Closes:
     #627150).
Checksums-Sha1: 
 296ea060200ce67e32255ebe8f94e2dd82a99b55 1190 syslinux-themes-debian_9-1.dsc
 9322d4acf49fb430923dd2cedd975a5dc1f8e965 36409 syslinux-themes-debian_9.orig.tar.gz
 478a241804f33a7599d8ce84a426cc87015deb63 2596 syslinux-themes-debian_9-1.debian.tar.gz
 fbc1fe2d96117c7a66ef0dabce63191c4c9a8c9a 3074 syslinux-themes-debian_9-1_all.deb
 be2fd04d903eeaed0dd947f8e6cae092f643b3b0 19140 syslinux-themes-debian-lenny_9-1_all.deb
 f5ccbe0d93c0c5c28d9147c899b3215acdda9e34 10492 syslinux-themes-debian-squeeze_9-1_all.deb
Checksums-Sha256: 
 53a8adc259ef99d354c2b66a6865848b141b6dc4f9986336f535f7df7b52b53d 1190 syslinux-themes-debian_9-1.dsc
 d0b3199b5ca9fa2ede32916ab711e3d6cbe4f36b32c491446d7214511efb0896 36409 syslinux-themes-debian_9.orig.tar.gz
 522fb4ea964f3e6b4fd357d121ffea3baac328583ec1ba47b472b219fe15ce2e 2596 syslinux-themes-debian_9-1.debian.tar.gz
 af88106ac35dab7d5c7b20812352ac1706690e4d72daadc421c9e1ad6c44de24 3074 syslinux-themes-debian_9-1_all.deb
 0adf85fd06d8f280e804846235a2736517653b78ae6896f7ff71ba807eec2c39 19140 syslinux-themes-debian-lenny_9-1_all.deb
 060f95177da81d762668e51f4b2ec8424fdb379e403bdf60ebfcc8338e6664a9 10492 syslinux-themes-debian-squeeze_9-1_all.deb
Files: 
 e1dd9f485de4cf8a1049d4f89f67c12a 1190 misc optional syslinux-themes-debian_9-1.dsc
 3a61305c1562be273d26427e22a823a5 36409 misc optional syslinux-themes-debian_9.orig.tar.gz
 d5720c4af9b7832740f38d48a5ea65d8 2596 misc optional syslinux-themes-debian_9-1.debian.tar.gz
 a694c5466dc4a0e5525385cf2c0ad9f2 3074 misc optional syslinux-themes-debian_9-1_all.deb
 31f5fdf8a5b6349f0bc8e85d74816c3b 19140 misc optional syslinux-themes-debian-lenny_9-1_all.deb
 bd4bcb3eb54332108cc588d176eea657 10492 misc optional syslinux-themes-debian-squeeze_9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3Z/q8ACgkQ+C5cwEsrK56i0gCfT6AskOiBdD9DQ9U13t5fR09v
VqEAoNtnICi36UggSMYzjMV8QYBMuf2k
=vEoa
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Tue, 24 May 2011 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Teuwen <phil@teuwen.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 24 May 2011 12:42:03 GMT) Full text and rfc822 format available.

Message #30 received at 627150@bugs.debian.org (full text, mbox):

From: Philippe Teuwen <phil@teuwen.org>
To: 627150@bugs.debian.org
Subject: Still live.cfg missing?
Date: Tue, 24 May 2011 13:55:21 +0200
Hello,

Is this but entirely solved?

I could now build an ISO which displays the semi-graphical boot menu but it only contains the "other options" sub-menu.
And when I check into syslinux-themes-debian-squeeze/syslinux-live templates I see tentative of inclusion of live.cfg which is apparently missing.
It is present in live-build/squeeze but not anymore in live-build/wheezy nor live-build/sid:
/usr/share/live/build/templates/syslinux sub-directory is entirely gone there and is neither in syslinux-themes-debian*

Or maybe I'm not doing the right thing at all?
I was trying to build a wheezy iso from a wheezy host, then, finding this bugreport I was trying to build a sid iso from a wheezy host with live-build/sid

Thanks for any help!
Phil






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Tue, 24 May 2011 14:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roberto C. Morano" <rcmorano@emergya.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 24 May 2011 14:27:16 GMT) Full text and rfc822 format available.

Message #35 received at 627150@bugs.debian.org (full text, mbox):

From: "Roberto C. Morano" <rcmorano@emergya.com>
To: 627150@bugs.debian.org
Subject: Bug#627150: live-build: syslinux support broken
Date: Tue, 24 May 2011 16:12:06 +0200
[Message part 1 (text/plain, inline)]
Hello,

As Philippe Teuwen, I'm having exactly the same problems.

The template files are not in yet in package 'syslinux-themes-debian-9-1'.

By the way, I've been looking for the VCS for this package 
(syslinux-themes-debian), which is supposed to be this [1], but I 
haven't been able. Could you tell me if it's in any place?

Thanks in advance.

[1] 
/git/:///git/.debian-maintainers.org//git///syslinux///syslinux/-/themes/-/debian/./git/ 


-- 
Roberto C. Morano
Área de Proyectos

Emergya Consultoría.
Tlf: +34 954 51 75 77
Fax: +34 954 51 64 73
http://www.emergya.es

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Tue, 24 May 2011 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 24 May 2011 19:48:02 GMT) Full text and rfc822 format available.

Message #40 received at 627150@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: "Roberto C. Morano" <rcmorano@emergya.com>
Cc: 627150@bugs.debian.org
Subject: Re: Bug#627150: live-build: syslinux support broken
Date: Tue, 24 May 2011 21:45:37 +0200
On 05/24/2011 04:12 PM, Roberto C. Morano wrote:
> I've been looking for the VCS for this package
> (syslinux-themes-debian), which is supposed to be this [1], but I
> haven't been able.

[1] is from an old package; the authoritative location to look it up is 
always in the package in sid (which in turn gets referenced at 
http://packages.qa.debian.org/syslinux-themes-debian). in sid, there are 
no vcs fields in control since 7-1 (see 
http://packages.debian.org/changelogs/pool/main/s/syslinux-themes-debian/current/changelog#version7-1).

i've removed them some time ago (and will continue to do so for my 
other, non-debian-live packages). this is because i've had bad 
experiences in the recent past with some 'unfriendly people' in debian, 
so i'll not add the vcs fields back, however, you can access the sources 
in the following git repository:

  git clone 
git://vcs.progress-linux.org/users/daniel/packages/syslinux-themes-debian.git

patches more than welcome.

> [1]
> /git/:///git/.debian-maintainers.org//git///syslinux///syslinux/-/themes/-/debian/./git/

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Wed, 25 May 2011 02:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Zambrini <fzambrini@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 25 May 2011 02:21:06 GMT) Full text and rfc822 format available.

Message #45 received at 627150@bugs.debian.org (full text, mbox):

From: Frank Zambrini <fzambrini@gmail.com>
To: 627150@bugs.debian.org
Subject: Re: Bug#627150: Still live.cfg missing?
Date: Tue, 24 May 2011 22:18:59 -0400
I am seeing the same behavior using live-build 3.0~a16-1 to make a sid image with syslinux.

I am building on squeeze. Not sure if that matters.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#627150; Package live-build. (Sun, 19 Jun 2011 13:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 19 Jun 2011 13:54:06 GMT) Full text and rfc822 format available.

Message #50 received at 627150@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: 627150@bugs.debian.org
Subject: live-build: no isolinux/live.cfg
Date: Sun, 19 Jun 2011 09:52:12 -0400
I was getting ready to report that I get no isolinux/live.cfg file, and
I saw this bug report, so I'll append my information here in case it's
related.

This is with live-build 3.0~a21-1, amd64.

lb config -d wheezy
sudo lb build

% ls -l binary/isolinux
-rw-r--r-- 1 root root   4748 May 23 09:22 config.c32
-rw-r--r-- 1 root root 282052 May 23 09:22 hdt.c32
-rw-r--r-- 1 root root  24576 Jun 19 08:58 isolinux.bin
-rw-r--r-- 1 root root     57 May 16 04:55 isolinux.cfg
-rw-r--r-- 1 root root 164508 Mar 19 18:42 memtest.bin
-rw-r--r-- 1 root root    244 May 16 04:55 menu.cfg
-rw-r--r-- 1 root root    307 May 16 04:55 other.cfg
-rw-r--r-- 1 root root    800 May 23 09:22 reboot.c32
-rw-r--r-- 1 root root  21384 May 23 09:22 rosh.c32
-rw-r--r-- 1 root root   5264 May 16 04:55 splash.png
-rw-r--r-- 1 root root    508 May 16 04:55 stdmenu.cfg
-rw-r--r-- 1 root root 155792 May 23 09:22 vesamenu.c32

There's no live.cfg.  When I boot with this, I get only "Other options"
with memtest and hdt.

Using a different bootloader, I am able to successfully boot from the
resulting image (i.e., grub-mkrescue /path/to/binary -o /tmp/1.iso, and
then boot manually with grub).




No longer marked as found in versions live-build/3.0~a16-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Mon, 04 Nov 2013 03:06:25 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Dec 2013 07:41:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:11:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.